import React, { Component } from "react";
import { reset } from "redux-form";
import { connect } from "react-redux";
import { setInitialValueReduxForm } from "../actions/todo";

import Form from "../components/redux-form";

class ReduxForm extends Component {
	render() {
		const { mock, initialValues, setInitialValueReduxForm, reset } = this.props;
		return (
			<div>
				ReduxForm
				<button onClick={() => reset("todo")}>Clear</button>
				<Form mock={mock} initialValues={initialValues} setInitialValueReduxForm={setInitialValueReduxForm} />
			</div>
		);
	}
}

const mapStateToProps = state => ({
	mock: state.todo.MOCK,
	initialValues: state.todo.initialValues
});

export default connect(
	mapStateToProps,
	{ setInitialValueReduxForm, reset }
)(ReduxForm);
