import * as types from "../actionTypes";
// import axios from "axios";

// const url = "http://subdomain.entony.fs.a-level.com.ua/api/auth/";
// const userUrl = "http://subdomain.entony.fs.a-level.com.ua/api/users/";
//
export const authRequest = payload => ({
	type: types.AUTH_REQUEST,
	payload
});

export const authRequestSuccess = payload => ({
	type: types.AUTH_REQUEST_SUCCESS,
	payload
});

export const authRequestFail = payload => ({
	type: types.AUTH_REQUEST_FAIL,
	payload
});

// export const auth = payload => {
// 	return dispatch => {
// 		dispatch(authRequest());

// 		axios({
// 			method: "POST",
// 			url: url + "login",
// 			data: payload
// 		})
// 			.then(({ data }) => {
// 				localStorage.setItem("token", data.token);
// 				dispatch(authRequestSuccess(data.user));
// 			})
// 			.catch(err => dispatch(authRequestFail(err)));
// 	};
// };

export const registrationRequest = payload => ({
	type: types.REGISTRATION_REQUEST,
	payload
});

export const registrationSuccess = payload => ({
	type: types.REGISTRATION_REQUEST_SUCCESS,
	payload
});

export const registrationFail = payload => ({
	type: types.REGISTRATION_REQUEST_FAIL,
	payload
});

// export const registration = payload => {
// 	return dispatch => {
// 		dispatch(registrationRequest());

// 		axios({
// 			method: "POST",
// 			url: `${url}register`,
// 			data: payload
// 		})
// 			.then(res => dispatch(registrationSuccess(res)))
// 			.catch(err => dispatch(registrationFail(err)));
// 	};
// };

export const getUserById = payload => ({
	type: types.GET_USER_BY_ID,
	payload
});

export const getUserByIdSuccess = payload => ({
	type: types.GET_USER_BY_ID_SUCCESS,
	payload
});

export const getUserByIdFail = payload => ({
	type: types.GET_USER_BY_ID_FAIL,
	payload
});

// export const getUserByIdRequest = payload => {
// 	return dispatch => {
// 		dispatch(getUserById());

// 		axios({
// 			method: "GET",
// 			url: userUrl + payload.id,
// 			headers: {
// 				Authorization: `Bearer ${payload.token}`
// 			}
// 		})
// 			.then(({ data }) => dispatch(getUserByIdSuccess(data)))
// 			.catch(err => dispatch(getUserByIdFail(err)));
// 	};
// };
